/**
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 * 
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
**/

#ifndef __CDOS_AUDIT_QUERY_CONFIG_H__
#define __CDOS_AUDIT_QUERY_CONFIG_H__

#include <core/cdos-def.h>

CDOS_BEGIN_DECLS

typedef struct _CdosAuQueryConfig CdosAuQueryConfig;

CDOS_EXPORT CdosAuQueryConfig* cdos_au_query_config_create(const char* configFilePath);

CDOS_EXPORT unsigned int cdos_au_query_config_get_type(const CdosAuQueryConfig* config);

CDOS_EXPORT const char* cdos_au_query_config_getInputFilePath(const CdosAuQueryConfig* config);

CDOS_EXPORT const char* cdos_au_query_config_getFilterUserName(const CdosAuQueryConfig* config);

CDOS_EXPORT int cdos_au_query_config_getFilterExitCode(const CdosAuQueryConfig* config);

CDOS_EXPORT const char* cdos_au_query_config_getFilterDatetime(const CdosAuQueryConfig* config);

CDOS_EXPORT const char* cdos_au_query_config_getFilterCmdPath(const CdosAuQueryConfig* config);

CDOS_EXPORT void cdos_au_query_config_destroy(CdosAuQueryConfig** config);

CDOS_END_DECLS

#endif // __CDOS_AUDIT_QUERY_CONFIG_H__