/**
 * Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
 * 
 * This software is published by the license of CPU-OS License，you can use and 
 * distibuted this software under this License. See CPU-OS Liense for more detail.
 *
 * You should have receive a copy of CPU-OS License. If not, please contact us 
 * by email <support_os@cpu-os.ac.cn>  
 * 
**/

#ifndef __CDOS_DEF_H__
#define __CDOS_DEF_H__

#ifdef __cplusplus

#define CDOS_BEGIN_DECLS extern "C" {
#define CDOS_END_DECLS }

#else

#define CDOS_BEGIN_DECLS
#define CDOS_END_DECLS

#endif // __cplusplus

#define CDOS_EXPORT __attribute__ ((__visibility__("default")))
#define CDOS_DECL_CONSTEXPR constexpr

#define CDOS_FORMAT_FUNCTION(F,A) __attribute__((format(printf, F, A)))
#define CDOS_DEPRECATED __attribute__((deprecated))

#define CDOS_UNUSED __attribute__((unused))
#define CDOS_NORETURN __attribute__((noreturn))

#define CdosFalse (0)
#define CdosTrue (!CdosFalse)

typedef void* CdosPointer;
typedef const void* CdosConstPointer;

typedef unsigned int CdosUInt;
typedef int CdosInt;

typedef unsigned char CdosUChar;

typedef unsigned char CdosBoolean;

#endif // __CDOS_DEF_H__